Subject: bug#49346: headings when using sh-mode

From: [email-masked]
Date: Sun, 4 Jul 2021 20:38:56 +0200 (CEST)

After thinking a bit more about this, it would be better to use two ## at the beginning for headings,

such that single # is for normal headings.

## h1

## h2

## h3

From: [email-masked]
To: Lars Ingebrigtsen <[email-masked]>
Subject: bug#49346: headings when using sh-mode
Date: 04/07/2021 19:18:08 Europe/Paris
Cc: [email-masked]

I have been using 

# h1

# h2

# h3

This is similar to defining headers in html without ending up using long repeating symbols 

such as `#####` or `*******`.  The number at the end defines the headline level.

From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Subject: bug#49346: headings when using sh-mode
Date: 04/07/2021 15:54:55 Europe/Paris
Cc: [email-masked]

[email-masked] writes:

> I enabled `outline-minor-mode` and found that by default `sh-script`
> uses `*`, `** `, `***` as headings. Because the headings are not part
> of comments, my bash script breaks if I use headings in this way.
> Headings normally start with the comment character.

`sh-mode' has no support for outlining, so `outline-minor-mode' just
uses the default values for `outline-regexp'. So I guess this is a
wishlist item for adding support for outlining in `sh-mode'?

Does anybody have a suggestion for what that should be in `sh-mode', or
whether this doesn't really make sense for `sh-mode'?

-- 
(domestic pets only, the antidote for overdose, milk.)
bloggy blog: http://lars.ingebrigtsen.no